package gui.simulator;

import java.awt.*;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.Border;

import agenda.Agenda;

public class SimulatorPane extends JPanel{
	
	private Agenda agenda;

	public SimulatorPane(Agenda agenda, int length, int width, int terrain){
        super.setLayout(new BorderLayout());
		this.agenda = agenda;
        this.setOpaque(true);
        this.setBackground(Color.WHITE);
        this.setBorder(BorderFactory.createEmptyBorder(20, 20, 20, 20));
        this.add(new Terrain(length, width, terrain), BorderLayout.CENTER);
	}
}
